Bug 220305 - Release notes requried for 16GB kernel-xen limit on x86
Summary: Release notes requried for 16GB kernel-xen limit on x86
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Domingo
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 197865
TreeView+ depends on / blocked
 
Reported: 2006-12-20 10:33 UTC by Stephen Tweedie
Modified: 2010-03-14 21:31 UTC (History)
1 user (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 21:33:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Tweedie 2006-12-20 10:33:28 UTC
On x86, the virtualised kernel supports a maximum of 16GB of physical memory. 
The x86_64 kernel does not have this limit.

Comment 1 Jan Mark Holzer 2006-12-20 11:30:10 UTC
Shouldn't we point out the limit is for the host (dom0/Hypervisor) side as the
guest/domU kernel has (currently) other limitations (x86/2GB and x86_64/4GB) ?

Comment 2 Don Domingo 2006-12-20 22:56:34 UTC
release notes contains the following under "Virtualization":

<quote>
At present, the Virtualization feature has the following limitations:

<snip>    

* (x86) Hardware-virtualized guests cannot have more than 2GB of RAM.
* (x86_64) Hardware-virtualized guests cannot have more than 4GB of RAM.

</quote>

as per BZ 218820.

thanks!

Comment 4 Stephen Tweedie 2006-12-21 17:16:59 UTC
Yes, but the 16G limit in this release note request is nothing to do with guest
limits --- it's a physical hardware support issue.  The i686 kernel-xen *HOST*
kernel cannot support more than 16GB of physical memory.

I suggest modifying 

* (x86) Hardware-virtualized guests cannot have more than 2GB of RAM.
* (x86_64) Hardware-virtualized guests cannot have more than 4GB of RAM.

to replace "RAM" with "virtual memory" or just "memory" to make this distinction
even clearer (a guest does not use physical RAM when it is saved to disk, for
example.)


Comment 6 Jay Turner 2007-01-26 21:26:26 UTC
Confirmed with 20070125.0.

Comment 7 Jay Turner 2007-01-26 21:33:23 UTC
Verified in the latest trees.


Note You need to log in before you can comment on or make changes to this bug.